Name:           poedit
Version:        1.3.4
Release:        2%{?dist}
Summary:        GUI editor for GNU gettext .po files

Group:          Development/Languages
License:        MIT
URL:            http://www.poedit.org/
Source0:        http://download.sourceforge.net/poedit/poedit-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  wxGTK-devel, gtkspell-devel, db4-devel, zip, desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils


%description
This program is GUI frontend to GNU Gettext utilities and catalogs 
editor/source code parser. It helps with translating application into 
another language.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Remove a few unnecessary locations where the makefile may install
# copies of icons and .desktop files
rm -rf \
	$RPM_BUILD_ROOT%{_datadir}/applnk \
	$RPM_BUILD_ROOT%{_datadir}/mimelnk \
	$RPM_BUILD_ROOT%{_datadir}/icons \
	$RPM_BUILD_ROOT%{_datadir}/gnome \
	$RPM_BUILD_ROOT%{_datadir}/mime-info \
	$RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p -m 0755 \
	$RPM_BUILD_ROOT%{_datadir}/pixmaps \
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor \
	$RPM_BUILD_ROOT%{_datadir}/mimelnk/application
cp -a src/icons/appicon/poedit.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/
cp -a src/icons/appicon/poedit.svg $RPM_BUILD_ROOT%{_datadir}/pixmaps/
sed -i -e 's|poedit.png|poedit.svg|g' install/*.desktop
desktop-file-install \
    --delete-original \
    --vendor fedora \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category X-Fedora \
    install/poedit.desktop
cp -a install/x-po.desktop $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/
%{find_lang} poedit


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f poedit.lang
%defattr(-,root,root,-)
%doc NEWS TODO README COPYING AUTHORS docs/*.txt docs/en
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/icons/hicolor/*.png
%{_datadir}/pixmaps/*.svg
%{_mandir}/man?/*
%{_datadir}/poedit


%changelog
* Wed May 24 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.3.4-2
- Remove any potential places where makefile may create copies of 
  .desktop files and icons.

* Tue May 23 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.3.4-1
- Initial packaging
